> For the complete documentation index, see [llms.txt](https://docs.idrx.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idrx.co/smart-contract/staking/staking-idrx.md).

# Staking IDRX

* **Function**: `newStake(uint amount, uint stakeType)`
* **Parameters**:
  * `amount`: The amount of IDRX to stake.
  * `stakeType`: The type of stake (1 to 4 refer to [Staking Type](/smart-contract/staking/staking-type.md)).&#x20;
* **Event** **Emitted**:

```solidity
event addNewStake(
    uint stakeId,
    uint stakeType,
    address staker,
    uint stakeAmount,
    uint rewardAmount,
    uint createdTimestamp,
    uint unlockTimestamp
);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.idrx.co/smart-contract/staking/staking-idrx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
